List users
Lists users in the Deel HRIS using the SCIM user format. Use it to read the list of users through the SCIM interface or to search users by email address.
Token scopes: Users:read
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Query parameters
filter
Filter results using SCIM’s filtering syntax. Currently supports only eq operator and filtering by a user’s email. Expected format ‘email eq “email@domain.com”’.
startIndex
The 1-based index of the first result to return. Used for pagination. Minimum value is 1. Defaults to 1 if not provided.
count
The maximum number of results to return per page. Used for pagination. A value of 0 is treated as a special case and returns 1 result. Typically should be a positive integer.
Response
Successful response
schemas
Allowed values:
Resources
startIndex
itemsPerPage
totalResults
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error